#!/bin/bash 
#=========================================================================== 
# Organization : Individual Developer 
# Filename     : new.sh
# Author       : Feng Bohan
# Create Time  : 15:01:14 2024-12-10
# Last Modified: 15:07:34 2024-12-10
# Abstract     :  
#--------------------------------------------------------------------------
# Description:
# 
#--------------------------------------------------------------------------
# Modification History:
#--------------------------------------------------------------------------
# Rev      Date        Who         Description
# ---      ----        ---         -----------
# 0.0.01   2024-12-10  Feng Bohan  initial version
#===========================================================================

currentYear=`date +%y`
currentMonth=`date +%m`
baseName="me${currentYear}${currentMonth}"

read -p "PLease enter ner project name: " prjName

counter=0
while IFS= read -r dirName; do
    if [[ $dirName =~ ([0-9]{2})_ ]]; then
        counter=${BASH_REMATCH[1]}
        let counter+=1
    else
        counter=0
    fi
    new_name=$(printf "%s%02d_%s" $baseName $counter $prjName)
done < <(find .  -maxdepth 1 -type d -name "${baseName}*" | sort)

echo "New project dir is $new_name"
if [ ! -d $new_name ]; then
    mkdir $new_name
    echo "Dir is not exists, try to mkdir."
fi